<?php
/**
 * @version 1.5 stable $Id: view.html.php 1577 2012-12-02 15:10:44Z ggppdk $
 * @package Joomla
 * @subpackage FLEXIcontent
 * @copyright (C) 2009 Emmanuel Danan - www.vistamedia.fr
 * @license GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('legacy.view.legacy');
use Joomla\String\StringHelper;

/**
 * View class for the tagelement screen
 *
 * @package Joomla
 * @subpackage FLEXIcontent
 * @since 1.0
 */
class FlexicontentViewTagelement extends JViewLegacy {

	function display($tpl = null)
	{
		$mainframe = JFactory::getApplication();
		$option = JRequest::getVar('option');

		//initialise variables
		$db       = JFactory::getDbo();
		$document = JFactory::getDocument();
		$template = $mainframe->getTemplate();
		
		//JHtml::_('behavior.tooltip');
		JHtml::_('behavior.modal');

		//get var
		$filter_order		= $mainframe->getUserStateFromRequest( $option.'.tags.filter_order', 		'filter_order', 	't.name', 'cmd' );
		$filter_order_Dir	= $mainframe->getUserStateFromRequest( $option.'.tags.filter_order_Dir',	'filter_order_Dir',	'', 'word' );
		$search 			= $mainframe->getUserStateFromRequest( $option.'.tags.search', 			'search', 			'', 'string' );
		$search 			= $db->escape( StringHelper::trim(StringHelper::strtolower( $search ) ) );

		//prepare the document
		$document->setTitle(JText::_( 'FLEXI_SELECTITEM' ));
		$document->addStyleSheet(JUri::root(true).'/templates/'.$template.(FLEXI_J16GE ? '/css/template.css': '/css/general.css'));
		$document->addStyleSheetVersion(JUri::root(true).'/components/com_flexicontent/assets/css/flexicontent.css', FLEXI_VHASH);

		//Get data from the model
		$rows    = $this->get( 'Data');
		$pageNav = $this->get( 'Pagination' );

		// search filter
		$lists['search']= $search;
				
		// table ordering
		$lists['order_Dir'] = $filter_order_Dir;
		$lists['order'] = $filter_order;


		//assign data to template
		$this->lists = $lists;
		$this->rows = $rows;
		$this->pageNav = $pageNav;

		parent::display($tpl);
	}

}
?>